extends Node2D

var totalCrates = 2
var cratesCollected = 0
var timeLimit = 10
var timer:= Timer.new()

# Called when the node enters the scene tree for the first time.
func _ready():
	add_child(timer)
	timer.wait_time = 1
	timer.one_shot = false
	timer.connect("timeout", secondCounter)
	timer.start()

func secondCounter():
	timeLimit -= 1
	if timeLimit <=0:
		print("You lose baby!")
		get_tree().reload_current_scene()
		

func _on_area_2d_areatrigger(effect, body):
	print("Game Controller sees the trigger")
	if body is RigidBody2D:
		print("a crate entered trigger")
		cratesCollected +=1
		body.queue_free()
		if cratesCollected>=totalCrates:
			print("You win baby!")
			get_tree().reload_current_scene()
